﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xdm.ToolWindowLoaded += xdm_ToolWindowLoaded;
        }

        void xdm_ToolWindowLoaded(object sender, Infragistics.Windows.DockManager.Events.PaneToolWindowEventArgs e)
        {
            (((e.Window.Content as SplitPane).Panes[0] as ContentPane).Content as StackPanel).Children[1].Visibility = System.Windows.Visibility.Visible;
            e.Window.Closing += Window_Closing;
        }

        void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            (((((sender as PaneToolWindow).Content as SplitPane).Panes[0] as ContentPanePlaceholder).Pane).Content as StackPanel).Children[1].Visibility = System.Windows.Visibility.Collapsed;
        }
    }
}
